Package ej.drawing

## Enum TransformPainter.Flip

- java.lang.Object
- - java.lang.Enum<TransformPainter.Flip>
  - - ej.drawing.TransformPainter.Flip

- All Implemented Interfaces:
    `Serializable`, `Comparable<TransformPainter.Flip>`
  Enclosing class:
    TransformPainter

      public static enum TransformPainter.Flip
      extends Enum<TransformPainter.Flip>

  Specify the flip to apply when drawing an image.
  See Also:
    `TransformPainter.drawFlippedImage(GraphicsContext, Image, int, int, Flip)`, `TransformPainter.drawFlippedImage(GraphicsContext, Image, int, int, Flip, int)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FLIP_180` | Flips at 180 degrees.
    `FLIP_270` | Flips anticlockwise at 270 degrees.
    `FLIP_90` | Flips anticlockwise at 90 degrees.
    `FLIP_MIRROR` | Applies a mirror.
    `FLIP_MIRROR_180` | Applies a mirror and flip at 180 degrees.
    `FLIP_MIRROR_270` | Applies a mirror and flip anticlockwise at 270 degrees.
    `FLIP_MIRROR_90` | Applies a mirror and flip anticlockwise at 90 degrees.
    `FLIP_NONE` | Resets the flip action (0 degrees). This is the default action.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TransformPainter.Flip` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TransformPainter.Flip[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLIP_NONE

          public static final TransformPainter.Flip FLIP_NONE

      Resets the flip action (0 degrees).
      This is the default action.

    - #### FLIP_90

          public static final TransformPainter.Flip FLIP_90

      Flips anticlockwise at 90 degrees.

    - #### FLIP_180

          public static final TransformPainter.Flip FLIP_180

      Flips at 180 degrees.

    - #### FLIP_270

          public static final TransformPainter.Flip FLIP_270

      Flips anticlockwise at 270 degrees.

    - #### FLIP_MIRROR

          public static final TransformPainter.Flip FLIP_MIRROR

      Applies a mirror.

    - #### FLIP_MIRROR_90

          public static final TransformPainter.Flip FLIP_MIRROR_90

      Applies a mirror and flip anticlockwise at 90 degrees.

    - #### FLIP_MIRROR_180

          public static final TransformPainter.Flip FLIP_MIRROR_180

      Applies a mirror and flip at 180 degrees.

    - #### FLIP_MIRROR_270

          public static final TransformPainter.Flip FLIP_MIRROR_270

      Applies a mirror and flip anticlockwise at 270 degrees.

  - ### Method Detail

    - #### values

          public static TransformPainter.Flip[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransformPainter.Flip c : TransformPainter.Flip.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransformPainter.Flip valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null